permanentlyDeleteUser
DELETE
/api/v1/users/{id}/permanent
const url = 'https://example.com/api/v1/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/permanent';const options = {method: 'DELETE', headers: {'X-CSRF-Token': 'example'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/v1/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/permanent \ --header 'X-CSRF-Token: example'Permanently removes an inactive user account. Account-owned preferences, sessions, grants, and security credentials are removed; retained records keep their history with user attribution cleared.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Header Parameters
Section titled “Header Parameters”X-CSRF-Token
required
string
Responses
Section titled “ Responses ”User permanently deleted
Insufficient role
User not found
User is active, is the current user, or changed state